Subject: Re: bug#41755: feature/native-comp (master?): temacs crash in GC during mark phase

From: Pip Cet <[email-masked]>
Date: Mon, 8 Jun 2020 06:41:55 +0000

On Mon, Jun 8, 2020 at 3:39 AM Nicolas Bértolo <[email-masked]> wrote:
> I think I found the bug. Summary: A heap-based cons points to a
> stack-based string. The bug was introduced by:

Good catch!

I'm wondering what we could do to make such bugs easier to find...

> The attached patch fixes this case. There may be similar cases in other parts of
> the code. I'll take a look.

Would GC_CHECK_MARKED_OBJECTS have caught this?